Index: uspace/srv/net/il/ip/ip.c
===================================================================
--- uspace/srv/net/il/ip/ip.c	(revision 1bfd3d3b2991b8f2df4cff87d9723059528b9bd1)
+++ uspace/srv/net/il/ip/ip.c	(revision cb59f787f3b39c1da8220eb8042b8c459a038c61)
@@ -129,5 +129,5 @@
  * @return		The result parameter.
  */
-static int ip_release_and_return(packet_t packet, int result)
+static int ip_release_and_return(packet_t *packet, int result)
 {
 	pq_release_remote(ip_globals.net_phone, packet_get_id(packet));
@@ -170,7 +170,7 @@
  * @return		Other error codes as defined for the packet_set_addr().
  */
-static int ip_prepare_icmp(packet_t packet, ip_header_t *header)
-{
-	packet_t next;
+static int ip_prepare_icmp(packet_t *packet, ip_header_t *header)
+{
+	packet_t *next;
 	struct sockaddr *dest;
 	struct sockaddr_in dest_in;
@@ -233,5 +233,5 @@
  */
 static int
-ip_prepare_icmp_and_get_phone(services_t error, packet_t packet,
+ip_prepare_icmp_and_get_phone(services_t error, packet_t *packet,
     ip_header_t *header)
 {
@@ -543,5 +543,5 @@
  */
 static ip_header_t *
-ip_create_middle_header(packet_t packet, ip_header_t *last)
+ip_create_middle_header(packet_t *packet, ip_header_t *last)
 {
 	ip_header_t *middle;
@@ -622,5 +622,5 @@
  */
 static int
-ip_prepare_packet(in_addr_t *source, in_addr_t dest, packet_t packet,
+ip_prepare_packet(in_addr_t *source, in_addr_t dest, packet_t *packet,
     measured_string_t *destination)
 {
@@ -629,5 +629,5 @@
 	ip_header_t *last_header;
 	ip_header_t *middle_header;
-	packet_t next;
+	packet_t *next;
 	int rc;
 
@@ -754,5 +754,5 @@
  */
 static int
-ip_fragment_packet_data(packet_t packet, packet_t new_packet,
+ip_fragment_packet_data(packet_t *packet, packet_t *new_packet,
     ip_header_t *header, ip_header_t *new_header, size_t length,
     const struct sockaddr *src, const struct sockaddr *dest, socklen_t addrlen)
@@ -816,8 +816,8 @@
  */
 static int
-ip_fragment_packet(packet_t packet, size_t length, size_t prefix, size_t suffix,
+ip_fragment_packet(packet_t *packet, size_t length, size_t prefix, size_t suffix,
     socklen_t addr_len)
 {
-	packet_t new_packet;
+	packet_t *new_packet;
 	ip_header_t *header;
 	ip_header_t *middle_header;
@@ -922,11 +922,11 @@
  * @return		NULL if there are no packets left.
  */
-static packet_t
-ip_split_packet(packet_t packet, size_t prefix, size_t content, size_t suffix,
+static packet_t *
+ip_split_packet(packet_t *packet, size_t prefix, size_t content, size_t suffix,
     socklen_t addr_len, services_t error)
 {
 	size_t length;
-	packet_t next;
-	packet_t new_packet;
+	packet_t *next;
+	packet_t *new_packet;
 	int result;
 	int phone;
@@ -993,5 +993,5 @@
  */
 static int
-ip_send_route(packet_t packet, ip_netif_t *netif, ip_route_t *route,
+ip_send_route(packet_t *packet, ip_netif_t *netif, ip_route_t *route,
     in_addr_t *src, in_addr_t dest, services_t error)
 {
@@ -1247,5 +1247,5 @@
 
 static int
-ip_send_msg_local(int il_phone, device_id_t device_id, packet_t packet,
+ip_send_msg_local(int il_phone, device_id_t device_id, packet_t *packet,
     services_t sender, services_t error)
 {
@@ -1451,5 +1451,5 @@
  */
 static int
-ip_deliver_local(device_id_t device_id, packet_t packet, ip_header_t *header,
+ip_deliver_local(device_id_t device_id, packet_t *packet, ip_header_t *header,
     services_t error)
 {
@@ -1553,5 +1553,5 @@
  */
 static int
-ip_process_packet(device_id_t device_id, packet_t packet)
+ip_process_packet(device_id_t device_id, packet_t *packet)
 {
 	ip_header_t *header;
@@ -1715,5 +1715,5 @@
 static int
 ip_received_error_msg_local(int ip_phone, device_id_t device_id,
-    packet_t packet, services_t target, services_t error)
+    packet_t *packet, services_t target, services_t error)
 {
 	uint8_t *data;
@@ -1859,7 +1859,7 @@
  * @return		ENOMEM if there is not enough memory left.
  */
-static int ip_receive_message(device_id_t device_id, packet_t packet)
-{
-	packet_t next;
+static int ip_receive_message(device_id_t device_id, packet_t *packet)
+{
+	packet_t *next;
 
 	do {
@@ -1890,5 +1890,5 @@
     int *answer_count)
 {
-	packet_t packet;
+	packet_t *packet;
 	struct sockaddr *addr;
 	size_t addrlen;
